--
-- Clean up before we get started
--
DELETE FROM RM_UIAssetList
;
INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName, TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES ('StorEdge_RM_UIAssetList', 'esm.common.assettype.host', 'esm.common.assettype.host', 'HOST', 'StorEdge_RM_UnitaryComputerSystem', 'StorEdge_RM_ComputerSystem', 600, NULL, NULL, 'T', 'T', 'F', 'T', 'T', 'T', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName, TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES ('StorEdge_RM_UIAssetList', 'esm.common.assettype.host.solaris', 'esm.common.assettype.host.solaris', 'HOST-SOLARIS', 'StorEdge_RM_SolarisUnitaryComputerSystem', 'StorEdge_RM_ComputerSystem', 601, 'esm.common.assettype.host', 'esm.common.assettype.host', 'T', 'T', 'F', 'F', 'F', 'F', '1~HOST~SUN~SOLARIS~HOSTID~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName, TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES ('StorEdge_RM_UIAssetList', 'esm.common.assettype.host.virtual', 'esm.common.assettype.host.virtual', 'VIRTUALHOST', 'StorEdge_RM_VirtualComputerSystem', 'StorEdge_RM_ComputerSystem', 650, 'esm.common.assettype.host', 'esm.common.assettype.host', 'T', 'T', 'F', 'F', 'F', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName, TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES ('StorEdge_RM_UIAssetList', 'esm.common.assettype.host.virtual.solaris', 'esm.common.assettype.host.virtual', 'VIRTUALHOST-SOLARIS', 'StorEdge_RM_SolarisVirtualComputerSystem', 'StorEdge_RM_ComputerSystem', 650, 'esm.common.assettype.host', 'esm.common.assettype.host', 'T', 'T', 'F', 'F', 'F', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES ('StorEdge_RM_UIAssetList', 'esm.common.assettype.cluster', 'esm.common.assettype.cluster', 'CLUSTER', 'StorEdge_RM_Cluster', 'StorEdge_RM_Cluster', 200, NULL, NULL, 'T', 'T', 'F', 'T', 'T', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.cluster.sun', 'esm.common.assettype.cluster.sun', 'SUN-CLUSTER', 'StorEdge_RM_SunCluster', 'StorEdge_RM_Cluster', 201, 'esm.common.assettype.cluster', 'esm.common.assettype.cluster', 'F', 'T', 'F', 'F', 'F', 'F', '1~HOST~SUN~SOLARIS~HOSTID~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.cluster.veritas', 'esm.common.assettype.cluster.veritas', 'VERITAS-CLUSTER', 'StorEdge_RM_VeritasCluster', 'StorEdge_RM_Cluster', 202, 'esm.common.assettype.cluster', 'esm.common.assettype.cluster', 'F', 'T', 'F', 'F', 'F', 'F', '1~HOST~SUN~SOLARIS~HOSTID~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array', 'esm.common.assettype.array', 'ARRAY', 'StorEdge_RM_StorageArray', 'StorEdge_RM_StorageArray', 100, NULL, NULL, 'T', 'T', 'F', 'T', 'T', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array.T3', 'esm.common.assettype.array.T3', 'T3-ARRAY', 'StorEdge_RM_T3Array', 'StorEdge_RM_StorageArray', 101, 'esm.common.assettype.array', 'esm.common.assettype.array', 'T', 'T', 'F', 'F', 'F', 'F', '1~ARRAY~SUN~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array.3900', 'esm.common.assettype.array.3900', '3900-ARRAY', 'StorEdge_RM_3900Array', 'StorEdge_RM_StorageArray', 102, 'esm.common.assettype.array', 'esm.common.assettype.array', 'F', 'T', 'F', 'F', 'F', 'F', '1~ARRAY~SUN~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array.6900', 'esm.common.assettype.array.6900', '6900-ARRAY', 'StorEdge_RM_6900Array', 'StorEdge_RM_StorageArray', 103, 'esm.common.assettype.array', 'esm.common.assettype.array', 'F', 'T', 'F', 'F', 'F', 'F', '1~ARRAY~SUN~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array.3500', 'esm.common.assettype.array.3500', '3500-ARRAY', 'StorEdge_RM_3500Array', 'StorEdge_RM_StorageArray', 104, 'esm.common.assettype.array', 'esm.common.assettype.array', 'F', 'T', 'F', 'F', 'F', 'F', '1~ARRAY~SUN~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array.6120', 'esm.common.assettype.array.6120', '6120-ARRAY', 'StorEdge_RM_6120Array', 'StorEdge_RM_StorageArray', 105, 'esm.common.assettype.array', 'esm.common.assettype.array', 'F', 'T', 'F', 'F', 'F', 'F', '1~ARRAY~SUN~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array.6320', 'esm.common.assettype.array.6320', '6320-ARRAY', 'StorEdge_RM_6320Array', 'StorEdge_RM_StorageArray', 106, 'esm.common.assettype.array', 'esm.common.assettype.array', 'F', 'T', 'F', 'F', 'F', 'F', '1~ARRAY~SUN~HOSTID~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.array.9900', 'esm.common.assettype.array.9900', '9900-ARRAY', 'StorEdge_RM_9900Array', 'StorEdge_RM_StorageArray', 107, 'esm.common.assettype.array', 'esm.common.assettype.array', 'F', 'T', 'F', 'F', 'F', 'F', '1~ARRAY~SUN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.disk', 'esm.common.assettype.disk', 'DISK', 'StorEdge_RM_DiskDrive', 'CIM_MediaAccessDevice', 400, NULL, NULL, 'F', 'F', 'F', 'T', 'F', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.lun', 'esm.common.assettype.lun', 'LUN', 'StorEdge_RM_LogicalVolume', 'StorEdge_RM_LogicalVolume', 700, NULL, NULL, 'F', 'F', 'F', 'T', 'T', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.filesystem', 'esm.common.assettype.filesystem', 'FILE-SYSTEM', 'StorEdge_RM_UnixLocalFileSystem', 'CIM_LocalFileSystem', 500, NULL, NULL, 'F', 'F', 'T', 'T', 'F', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.volume', 'esm.common.assettype.volume', 'VOLUME', 'StorEdge_RM_StorageVolume', 'CIM_StorageExtent', 900, NULL, NULL, 'F', 'F', 'F', 'T', 'F', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.volumegroup', 'esm.common.assettype.volumegroup', 'VOLUME-GROUP', 'StorEdge_RM_VMDiskGroup', 'CIM_DiskGroup', 1000, NULL, NULL, 'F', 'F', 'F', 'T', 'F', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.switch', 'esm.common.assettype.switch', 'SWITCH', 'StorEdge_RM_SANSwitch', 'StorEdge_RM_SANSwitch', 800, NULL, NULL, 'T', 'T', 'F', 'T', 'T', 'F', NULL, SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.switch.sun', 'esm.common.assettype.switch.sun', 'SUN-SWITCH', 'StorEdge_RM_SunSwitch', 'StorEdge_RM_SANSwitch', 801, 'esm.common.assettype.switch', 'esm.common.assettype.switch', 'T', 'T', 'F', 'F', 'F', 'F', '1~FC-SWITCH~SUN~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.switch.brocade', 'esm.common.assettype.switch.brocade', 'BROCADE-SWITCH', 'StorEdge_RM_BrocadeSwitch', 'StorEdge_RM_SANSwitch', 802, 'esm.common.assettype.switch', 'esm.common.assettype.switch', 'F', 'T', 'F', 'F', 'F', 'F', '1~FC-SWITCH~BROCADE~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.switch.mcdata', 'esm.common.assettype.switch.mcdata', 'MCDATA-SWITCH', 'StorEdge_RM_McDataSwitch', 'StorEdge_RM_SANSwitch', 803, 'esm.common.assettype.switch', 'esm.common.assettype.switch', 'F', 'T', 'F', 'F', 'F', 'F', '1~FC-SWITCH~MCDATA~WWN~', SYSTIMESTAMP);

INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.switch.qlogic', 'esm.common.assettype.switch.qlogic', 'QLOGIC-SWITCH', 'StorEdge_RM_QLogicSwitch', 'StorEdge_RM_SANSwitch', 804, 'esm.common.assettype.switch', 'esm.common.assettype.switch', 'F', 'T', 'F', 'F', 'F', 'F', '1~FC-SWITCH~SUN~WWN~', SYSTIMESTAMP);

-- Uncomment the following line when DB Scans are supported
-- INSERT INTO RM_UIAssetList (ESM_CLASS_NAME, UIActionConstant, AssetNameRK, AssetName, ClassName,  TopLevelClassName, Ordinal, ParentAssetName, ParentUIActionConstant, is_Scannable, is_Discoverable, is_Analyzable, forGroup, forFabric, forDAS, AliasPrefix, UpdateTime) VALUES  ('StorEdge_RM_UIAssetList', 'esm.common.assettype.dbserver', 'esm.common.assettype.dbserver', 'DBSERVER', 'StorEdge_RM_OracleDatabaseSystem', 'StorEdge_RM_DatabaseSystem', 300, NULL, NULL, 'T', 'F', 'T', 'T', 'F', 'F', NULL, SYSTIMESTAMP);
